# Base Macros which need to be set
%define packageprefix fortune
%define packagebase shlomif
%define archivebase fortunes-shlomif
%define fortunefilesprefix shlomif-
%define rel 3

# Derived Macros
%define archivewithver %{archivebase}-%{version}
%define archivefull %{archivewithver}.tar.xz

%define fortunedatadir %{_datadir}/games/fortunes

Name: %{packageprefix}-%{packagebase}
Version: 0.22.2
Release: %mkrel %{rel}
Summary: Fortune Cookies Collection by Shlomi Fish
License: CC-BY-SA
Group: Toys
URL: https://www.shlomifish.org/humour/fortunes/
Source: https://www.shlomifish.org/humour/fortunes/%{archivefull}
BuildArch: noarch
BuildRequires: fortune-mod
Requires: fortune-mod


%description
This package contains several collections of fortune cookies by Shlomi Fish.
Namely, a collection of his own quotes, some of his favorites from various
sources; a collection of excerpts from the T.V. Show Friends; the Rules of
Open Source Programming, a collection of reasons why there is no IGLU
cabal, some logs of IRC conversations, some quotes from some web sites
about software management, and a collection of factoids about people
and things.

%prep
%setup -n %{archivewithver} -q
cat <<EOF > README
This is a group of fortune files collected by Shlomi Fish.
EOF

%build

myprefix="%{fortunefilesprefix}"
rm -f *.dat
ls | grep -v "\\." | grep -v "[[:upper:]]" | \
    ( while read T ; do \
        mv "$T" "${myprefix}$T" ; \
        /usr/bin/strfile "${myprefix}$T" "${myprefix}$T.dat" ; \
        done \
    )

%install

mkdir -p %{buildroot}%{fortunedatadir}
for I in *.dat ; do \
    cp $I "`echo "$I" | sed 's/\.dat$//'`" \
        %{buildroot}%{fortunedatadir} ; \
done

%files
%{fortunedatadir}/*
%doc README


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.22.2-3.mga10
+ Revision: 2206473
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.22.2-2.mga9
+ Revision: 1813136
- Mageia 9 Mass Rebuild

* Fri Aug 28 2020 shlomif <shlomif> 0.22.2-1.mga8
+ Revision: 1619351
- New version 0.22.2

* Thu Aug 27 2020 shlomif <shlomif> 0.22.1-1.mga8
+ Revision: 1619245
- New version 0.22.1

* Sat Apr 04 2020 shlomif <shlomif> 0.20.237-1.mga8
+ Revision: 1564549
- New version 0.20.237
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 daviddavid <daviddavid> 0.20.231-2.mga8
+ Revision: 1525900
- binary strfile was moved from /sbin to /bin
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Mar 13 2019 shlomif <shlomif> 0.20.231-1.mga7
+ Revision: 1375388
- New version 0.20.216

* Thu Sep 20 2018 umeabot <umeabot> 0.20.216-2.mga7
+ Revision: 1278359
- Mageia 7 Mass Rebuild

* Tue Nov 21 2017 shlomif <shlomif> 0.20.216-1.mga7
+ Revision: 1178143
- New version 0.20.216

* Fri Feb 19 2016 umeabot <umeabot> 0.20.141-4.mga6
+ Revision: 969585
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 shlomif <shlomif> 0.20.141-3.mga6
+ Revision: 872382
- New version 0.20.141

* Wed Oct 15 2014 umeabot <umeabot> 0.18.156-3.mga5
+ Revision: 748177
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.18.156-2.mga5
+ Revision: 679305
- Mageia 5 Mass Rebuild

* Sun Mar 30 2014 shlomif <shlomif> 0.18.156-1.mga5
+ Revision: 610344
- New version 0.18.156 and an updated description.

* Sat Oct 19 2013 umeabot <umeabot> 0.18.100-2.mga4
+ Revision: 523563
- Mageia 4 Mass Rebuild

* Thu May 23 2013 shlomif <shlomif> 0.18.100-1.mga4
+ Revision: 425058
- New version 0.18.100

* Fri Jan 11 2013 umeabot <umeabot> 0.18.28-2.mga3
+ Revision: 350785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 shlomif <shlomif> 0.18.28-1.mga3
+ Revision: 310968
- New version 0.18.28

* Wed Aug 01 2012 shlomif <shlomif> 0.18.5-1.mga3
+ Revision: 277637
- Use mkrel
- Make rpmlint happy
- New version 0.18.5
- imported package fortune-shlomif


* Wed Oct 08 2008 Shlomi Fish <shlomif@iglu.org.il> 0.10.148-1
- Updated slightly.

* Sun Jul 21 2002 Shlomi Fish <shlomif@iglu.org.il> 0.2.4-7
- Applied Tzafrir's Suggestions:
- Created the macro %%{fortunedatadir} to specify the locations of the files
- Broke up long lines.
- Added fortune-mod to the BuildRequires
- Made the script /bin/sh compatible
- Changed a mkdir loop to mkdir -p
- Removed the empty %%post and %%postun targets
- Added a README file.


* Fri May 31 2002 Shlomi Fish <shlomif@iglu.org.il> 0.2.2-2
- Added macros all over the place

* Thu May 30 2002 Shlomi Fish <shlomif@iglu.org.il> 0.2.2-1
- first release - testing.

